mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Channels.IChannelSinkBase System.Runtime.InteropServices.ComVisible(true)

Channel sinks provide a plug-in point that allows access to the underlying messages flowing through the channel as well as the stream used by the transport mechanism to send messages to a remote object. Channel sinks are linked together in a chain of channel sink providers and all channel messages flow through this chain of sinks before they are serialized and transported.

Provides required functions and properties for client channel sinks.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added

  Requests asynchronous processing of a method call on the current sink.

  A stack of channel sinks that called this sink. The message to process. The headers to add to the outgoing message heading to the server. The stream headed to the transport sink.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added

  Requests asynchronous processing of a response to a method call on the current sink.

  A stack of sinks that called this sink. Information generated on the request side that is associated with this sink. The headers retrieved from the server response stream. The stream coming back from the transport sink.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream `` ``

  The method is called by the formatter sink before it serializes the message.

  Returns the onto which the provided message is to be serialized.

  The onto which the provided message is to be serialized.

  The containing details about the method call. The headers to add to the outgoing message heading to the server.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Channels.IClientChannelSink To be added: an object of type 'IClientChannelSink'

  Channel sinks are linked together in a chain of sink providers and all channel messages flow through this chain before they are serialized and transported.

  Gets the next client channel sink in the client sink chain.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added: an object of type 'Runtime.Remoting.Messaging.IMessage' To be added: an object of type 'ITransportHeaders' To be added: an object of type 'IO.Stream' To be added: an object of type 'ITransportHeaders&' To be added: an object of type 'IO.Stream&' To be added To be added